Bug 30882 - X doesn't work cause of no font support after upgrade from 6.2
X doesn't work cause of no font support after upgrade from 6.2
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-06 18:52 EST by John A. Hull
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-07 22:36:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86 with font server on (8.63 KB, text/plain)
2001-03-06 18:54 EST, John A. Hull
no flags Details
Xfree86 with font server off (8.39 KB, text/plain)
2001-03-06 18:55 EST, John A. Hull
no flags Details
/etc/X11/fs/config (2.06 KB, text/plain)
2001-03-12 12:22 EST, John A. Hull
no flags Details

  None (edit)
Description John A. Hull 2001-03-06 18:52:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; DigExt)


X windows fail to start after upgrading from 6.2 to 7.1. An error stating 
that it "could not init font path element unix/:7100. Fatal server error: 
could not open default font "fixed"'. 

Tried removing the xfs requirement in Gnome, but the system still errored.

Reproducible: Always
Steps to Reproduce:
1. Upgrade from 6.2 to 7.1
2. run 'startx' 
3. X fails with above error message for both Gnome and KDE
	

Actual Results:  X windows crashed

Expected Results:  X windows should operate

I'll attach log files for errors with both xfs required for X and not 
required for X
Comment 1 John A. Hull 2001-03-06 18:54:29 EST
Created attachment 11949 [details]
XFree86 with font server on
Comment 2 John A. Hull 2001-03-06 18:55:07 EST
Created attachment 11950 [details]
Xfree86 with font server off
Comment 3 Ben Levenson 2001-03-07 16:53:58 EST
verified the described behavior with qa0307.0
X will start as expected after Xconfigurator is run
Comment 4 Glen Foster 2001-03-07 17:07:13 EST
We (Red Hat) should really try to fix this before next release.
Comment 5 Bill Nottingham 2001-03-07 22:36:30 EST
What does /etc/X11/fs/config look like?
Comment 6 Bill Nottingham 2001-03-09 11:29:25 EST
Fixed in XFree86-4.0.2-0.12.1.
Comment 7 John A. Hull 2001-03-12 12:22:17 EST
Created attachment 12405 [details]
/etc/X11/fs/config

Note You need to log in before you can comment on or make changes to this bug.